[Libreoffice-commits] core.git: 4 commits - bin/lo-all-static-libs ios/CustomTarget_MobileLibreOffice_app.mk ios/lo.xcconfig.in

Tor Lillqvist tml at collabora.com
Fri Nov 22 06:06:17 PST 2013


 bin/lo-all-static-libs                    |   41 ++++++++++++++++++++++++++++++
 ios/CustomTarget_MobileLibreOffice_app.mk |   33 ++++--------------------
 ios/lo.xcconfig.in                        |    4 ++
 3 files changed, 50 insertions(+), 28 deletions(-)

New commits:
commit a9da5f78a43d8c6540bc3e30ce46f20ef00d19e2
Author: Tor Lillqvist <tml at collabora.com>
Date:   Fri Nov 22 16:05:16 2013 +0200

    Add a comment
    
    Change-Id: If3e97386793f14bec9aae6c95500461177c18570

diff --git a/ios/lo.xcconfig.in b/ios/lo.xcconfig.in
index b374278..c63e13c 100644
--- a/ios/lo.xcconfig.in
+++ b/ios/lo.xcconfig.in
@@ -17,6 +17,8 @@ LO_INSTDIR = @INSTDIR@
 LO_SRCDIR = @SRC_ROOT@
 LO_WORKDIR = @WORKDIR@
 
+// The value of this variable is inserted in
+// CustomTarget_MobileLibreOffice_app.mk.
 LINK_LDFLAGS =
 
 // These are actual Xcode-known settings. The corresponding autoconf
commit c403dd11cc7029082b43ef3935ffc5553dbf5064
Author: Tor Lillqvist <tml at collabora.com>
Date:   Fri Nov 22 16:05:03 2013 +0200

    Use the lo-all-static-libs script
    
    Change-Id: I15605228af82f421ad40465a82661b98c91a3370

diff --git a/ios/CustomTarget_MobileLibreOffice_app.mk b/ios/CustomTarget_MobileLibreOffice_app.mk
index 404d797..e517e42 100644
--- a/ios/CustomTarget_MobileLibreOffice_app.mk
+++ b/ios/CustomTarget_MobileLibreOffice_app.mk
@@ -41,37 +41,16 @@ MobileLibreOffice_setup:
 #==============================================================================
 	$(call gb_Output_announce,$(subst $(WORKDIR)/,,$@),$(true),ENV,2)
 
-	# Put xcconfig in source dir for Xcode projects
+	# Libs #
+	# Create the link flags in the xcconfig for Xcode linkage
+	all_libs=`$(SRCDIR)/bin/lo-all-static-libs`; \
+	sed -i '' -e "s|^\(LINK_LDFLAGS =\).*$$|\1 $$all_libs|" $(LO_XCCONFIG)
+
+	# Copy lo.xcconfig to source dir for Xcode projects
 	if test $(SRCDIR) != $(BUILDDIR); then \
 		cp $(BUILDDIR)/ios/$(LO_XCCONFIG) $(SRCDIR)/ios; \
 	fi
 
-	# Libs #
-	# Create the link flags in the xcconfig for Xcode linkage
-	for path in $(INSTDIR)/program \
-				$(WORKDIR)/LinkTarget/StaticLibrary \
-				$(WORKDIR)/UnpackedTarball/*/.libs \
-				$(WORKDIR)/UnpackedTarball/*/src/.libs \
-				$(WORKDIR)/UnpackedTarball/*/src/*/.libs \
-				$(WORKDIR)/UnpackedTarball/xslt/libxslt/.libs \
-				$(WORKDIR)/UnpackedTarball/icu/source/lib \
-				$(WORKDIR)/UnpackedTarball/openssl; do \
-		flags=''; \
-        for lib in $$path/lib*.a; do \
-            if [ ! -r $$lib ]; then \
-                continue; \
-            fi; \
-            base="$${lib##*/lib}"; \
-            base=$${base%\.a}; \
-            flags+=" -l$${base}"; \
-        done; \
-		if [ "$$flags" ]; then \
-			all_flags+=" -L$$path $$flags"; \
-		fi; \
-	done; \
-	file=$(LO_XCCONFIG); \
-	sed -i '' -e "s|^\(LINK_LDFLAGS =\).*$$|\1 $$all_flags|" $$file;
-
 	# Resources #
 	rm -rf $(DEST_RESOURCE) 2>/dev/null
 	mkdir -p $(DEST_RESOURCE)
commit f543232668af23f798be69303745937a4af17bbd
Author: Tor Lillqvist <tml at collabora.com>
Date:   Fri Nov 22 16:01:00 2013 +0200

    Add script to produce a list of all the static libs built for iOS or Android
    
    Hopefully this script can be used instead of the current many separate
    ways to get the same list.
    
    Change-Id: I9b84d70f37e5819140c3a3a2c8a002cfdbac4364

diff --git a/bin/lo-all-static-libs b/bin/lo-all-static-libs
new file mode 100755
index 0000000..1fd2e6e
--- /dev/null
+++ b/bin/lo-all-static-libs
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Output a list of all our (static) libraries, to be used when
+# building the single executable or single dynamic object that is used
+# in an LO-based iOS or Android app. (All our libraries and bundled
+# 3rd-party ones are built as static archives for these platforms.)
+
+# This script is to be run once a full "make" for iOS or Android has
+# otherwise completed, when just building the actual apps is left.
+
+if test -z "$INSTDIR" ; then
+    echo This script should be invoked only in a build.
+    exit 1
+fi
+
+if test "$OS" != ANDROID -a "$OS" != IOS; then
+    echo This script makes sense only in Android or iOS builds.
+fi
+
+echo $INSTDIR/$LIBO_LIB_FOLDER/lib*.a \
+     $EBOOK_LIBS \
+     $FREEHAND_LIBS \
+     $HUNSPELL_LIBS \
+     $HYPHEN_LIB \
+     $MYTHES_LIBS \
+     $WORKDIR/LinkTarget/StaticLibrary/lib*.a \
+     $WORKDIR/UnpackedTarball/icu/source/lib/*.a \
+     $WORKDIR/UnpackedTarball/lcms2/src/.libs/*.a \
+     $WORKDIR/UnpackedTarball/libcdr/src/lib/.libs/*.a \
+     $WORKDIR/UnpackedTarball/libmspub/src/lib/.libs/*.a \
+     $WORKDIR/UnpackedTarball/libmwaw/src/lib/.libs/*.a \
+     $WORKDIR/UnpackedTarball/libodfgen/src/.libs/*.a \
+     $WORKDIR/UnpackedTarball/liborcus/src/*/.libs/*.a \
+     $WORKDIR/UnpackedTarball/libvisio/src/lib/.libs/*.a \
+     $WORKDIR/UnpackedTarball/libwp?/src/lib/.libs/*.a \
+     $WORKDIR/UnpackedTarball/openssl/*.a \
+     $WORKDIR/UnpackedTarball/raptor/src/.libs/*.a \
+     $WORKDIR/UnpackedTarball/rasqal/src/.libs/*.a \
+     $WORKDIR/UnpackedTarball/redland/src/.libs/*.a \
+     $WORKDIR/UnpackedTarball/xml2/.libs/*.a \
+     $WORKDIR/UnpackedTarball/xslt/libxslt/.libs/*.a
commit 5281101bb9d953fdfcbc47f84cf0d9bd49ef46b3
Author: Tor Lillqvist <tml at collabora.com>
Date:   Fri Nov 22 15:43:52 2013 +0200

    Make this file behave saner in Emacs
    
    Change-Id: I916aa32fcd8ab4b8ef13cfb2870e29c45ad8b60c

diff --git a/ios/lo.xcconfig.in b/ios/lo.xcconfig.in
index 91278bc..b374278 100644
--- a/ios/lo.xcconfig.in
+++ b/ios/lo.xcconfig.in
@@ -1,4 +1,4 @@
-// -*- Mode: text; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
+// -*- Mode: text; tab-width: 4; indent-tabs-mode: nil; word-wrap: nil -*-
 //
 // This file is part of the LibreOffice project.
 //


More information about the Libreoffice-commits mailing list